//-----------------------------------------------------------------------
// <copyright file=" ag_workload.cs">
// * FileName: 二次绩效工作量绩效.cs 
// </copyright>
//-----------------------------------------------------------------------
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Performance.EntityModels	
{
    /// <summary>
    /// 二次绩效工作量绩效
    /// </summary>
    [Table("ag_workload")]
	public class ag_workload
    {
        /// <summary>
        /// 
        /// </summary>
        [Key]
		public int Id { get; set; }
    
        /// <summary>
        /// 绩效ID
        /// </summary>
        public Nullable<int> AllotId { get; set; }
    
        /// <summary>
        /// 二次绩效ID
        /// </summary>
        public Nullable<int> SecondId { get; set; }
    
        /// <summary>
        /// 工作量考核项ID
        /// </summary>
        public string ItemId { get; set; }
    
        /// <summary>
        /// 工作量名称
        /// </summary>
        public string ItemName { get; set; }
    
        /// <summary>
        /// 工作量系数
        /// </summary>
        public Nullable<decimal> FactorValue { get; set; }
    
        /// <summary>
        /// 
        /// </summary>
        public Nullable<decimal> Sort { get; set; }
    }
}
