﻿using FluentValidation;
using System;
using System.Collections.Generic;
using System.Text;

namespace Performance.DtoModels
{
    public class UseTempRequest
    {
        public int TempId { get; set; }
    }
    public class UseTempRequestValidator : AbstractValidator<UseTempRequest>
    {
        public UseTempRequestValidator()
        {
            RuleFor(x => x.TempId).NotNull().GreaterThan(0);
        }
    }
}
